Arch RemoveShape: Difference between revisions

From FreeCAD Documentation
m (Added {{Button}} templates)
(Marked this version for translation)
 
(10 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:10-->
<!--T:10-->
{{Docnav
{{docnav|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}
|[[Arch_SelectNonSolidMeshes|SelectNonSolidMeshes]]
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_SelectNonManifold.svg
|IconR=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Arch RemoveShape
|Name=Arch RemoveShape
|Workbenches=[[Arch Module|Arch]]
|MenuLocation=Arch → Utilities → Remove Shape
|MenuLocation=Arch → Utilities → Remove Shape
|Workbenches=[[Arch_Workbench|Arch]]
|SeeAlso=[[Arch SplitMesh]], [[Arch MeshToShape|Arch MeshToShape]]
|SeeAlso=[[Arch_SplitMesh|Arch SplitMesh]], [[Arch_MeshToShape|Arch MeshToShape]]
}}
}}


Line 15: Line 23:


<!--T:3-->
<!--T:3-->
This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).


==How to use== <!--T:4-->
==Usage== <!--T:4-->


<!--T:5-->
<!--T:5-->
# Select an [[Arch Wall]] or [[Arch Structure]].
# Select an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}
# Press the {{Button|[[Image:Arch RemoveShape.svg|16px]] [[Arch RemoveShape|Remove Shape]]}} entry in {{MenuCommand|Arch → Utilities → Remove Shape}}.
# Press the {{Button|[[Image:Arch RemoveShape.svg|16px]]}} button or use {{KEY|Arch}} {{KEY|Utilities}}{{KEY|[[Image:Arch RemoveShape.svg|16px]] [[Arch_RemoveShape|Remove Shape]]}} from the top menu.


==Scripting== <!--T:6-->
==Scripting== <!--T:14-->

{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
<!--T:6-->
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:7-->
<!--T:7-->
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
Line 56: Line 66:
}}
}}
<translate>
<translate>
<!--T:11-->
{{docnav|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}


<!--T:12-->
{{Arch Tools navi}}


<!--T:13-->
<!--T:11-->
{{Docnav
{{Userdocnavi}}
|[[Arch_SelectNonSolidMeshes|SelectNonSolidMeshes]]
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_SelectNonManifold.svg
|IconR=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
}}

</translate>
</translate>
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 16:51, 12 March 2022

Arch RemoveShape

Menu location
Arch → Utilities → Remove Shape
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch SplitMesh, Arch MeshToShape

Description

This tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

Usage

  1. Select an Arch Wall or Arch Structure
  2. Press the button or use ArchUtilities Remove Shape from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()